Subject: Offline Message from William D Epting: I received my EB11 today, after a very
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 05 Jun 2022 03:10:21 -0000

From: William D Epting <[email-masked]>
Phone: 312-286-2401
Location: Chicago, United States
URL: https://swagtron.com/product/eb11-electric-cruise-bicycle-shimano-7-speed-removable-battery/?attribute_pa_color=black
Department: SwagTron

I received my EB11 today, after a very easy set up I was rolling in no time, being a bilateral amputee this bike has changed the game for me.I will take it to a bike shop to have a professional sexy up my front breaks, pads are to tight and won’t allow free movement of the wheel. That is a minor fix. My kickstand on the other hand is not cooperating right. I’ve had to tighten the nut a few times, it keeps coming a loose and the stand will not close correctly. I can send pics , this one is not right. It’s bent and is causing the nut to loosen, Please ship another a I will return this one. 
Order # 556550

----
Zopim
https://www.zopim.com